org.apache.geode.cache.configuration

## Class CacheTransactionManagerType

- java.lang.Object
- - org.apache.geode.cache.configuration.CacheTransactionManagerType

-     @Experimental
      public class CacheTransactionManagerType
      extends java.lang.Object

  A "cache-transaction-manager" element allows insertion of cache-level transaction listeners.

  Java class for cache-transaction-manager-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="cache-transaction-manager-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="transaction-listener" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                         <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="transaction-writer" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                         <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CacheTransactionManagerType.TransactionListener` Java class for anonymous complex type.
    `static class` | `CacheTransactionManagerType.TransactionWriter` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CacheTransactionManagerType.TransactionListener>` | `transactionListener`
    `protected CacheTransactionManagerType.TransactionWriter` | `transactionWriter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheTransactionManagerType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<CacheTransactionManagerType.TransactionListener>` | `getTransactionListener()` Gets the value of the transactionListener property.
    `CacheTransactionManagerType.TransactionWriter` | `getTransactionWriter()` Gets the value of the transactionWriter property.
    `void` | `setTransactionWriter(CacheTransactionManagerType.TransactionWriter value)` Sets the value of the transactionWriter property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### transactionListener

          protected java.util.List<CacheTransactionManagerType.TransactionListener> transactionListener

    - #### transactionWriter

          protected CacheTransactionManagerType.TransactionWriter transactionWriter

  - ### Constructor Detail

    - #### CacheTransactionManagerType

          public CacheTransactionManagerType()

  - ### Method Detail

    - #### getTransactionListener

          public java.util.List<CacheTransactionManagerType.TransactionListener> getTransactionListener()

      Gets the value of the transactionListener property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the transactionListener property.

      For example, to add a new item, do as follows:

           getTransactionListener().add(newItem);

      Objects of the following type(s) are allowed in the list `CacheTransactionManagerType.TransactionListener`

    - #### getTransactionWriter

          public CacheTransactionManagerType.TransactionWriter getTransactionWriter()

      Gets the value of the transactionWriter property.
      Returns:
        possible object is `CacheTransactionManagerType.TransactionWriter`

    - #### setTransactionWriter

          public void setTransactionWriter(CacheTransactionManagerType.TransactionWriter value)

      Sets the value of the transactionWriter property.
      Parameters:
        `value` - allowed object is `CacheTransactionManagerType.TransactionWriter`